Description

Currently, the class ptolemy.vergil.tree.EntityTreeModel is being overridden in sensor-view. This is to allow it to selectively ignore
certain change requests. In this case, it needs to ignore the change requests through which Sensor actors are fired.

At the moment, this is accomplished by the following two part mechanism. The description of the change request in question (which
was unused before, | think) is now '<group name="IGNORE_THIS_CHANGE"></group>'. EntityTreeModel is changed to ignore all
change requests that contain the substring IGNORE_THIS_CHANGE".

This is clearly imperfect. A cleaner method of marking certain change requests as 'to be discarded' by the EntityTreeModel class is
needed. Alternatively, a refactoring so the plotting component does not use the EntityTreeModel class would also work.

History

#1 - 02/14/2011 01:45 PM - Derik Barseghian
changing bugs from REAP to Kepler product

#2 - 03/28/2012 02:32 PM - Derik Barseghian
| looked into removing this override a few ways, but things got convoluted. | think the best idea is to discuss incorporating the small change needed
into ptolemy's EntityTreeModel.

If we want this override removed for the upcoming sensor-view release, this would mean releasing a patch of ptolemy-kepler-2.3.

In hopes of keeping the sensor-view release simple I'd just as soon keep the override in for now. If/when we patch ptolemy-kepler with the change,
we could patch sensor-view at that point to remove the override.

#3 - 03/28/2012 02:51 PM - Matt Jones

| would argue that we should incorporate it now and issue the patch. Overrides consistently diverge over time from their source, and we suffer from
not picking up bug fixes, etc. In general, | think we should strive to eliminate all overrides ebfore release. They are a nice feature for experimental
development, but make maintenance difficult if they are released. They also make it so that modules that use overrides become incompatible with
other modules that don't use the override -- much better to have only one definitive source for a class (in this case, the ptolemy module) so that
modules remain compatible.

#4 - 06/11/2012 03:20 PM - Derik Barseghian

Sean can you confirm: am | right in thinking the point of the override was to avoid collapsing the Outline and Plotting's 'ltems of Interest' trees when
the actors fire? Possibly also to avoid collapses when the user moves the actor around, or adjusts the actor's params?

Turns out, from what | can tell, this override actually isn't doing anything useful. With or without the override, this is what happens:

e when firing, the trees don't collapse.
¢ when moving or adjusting an actor's params, the trees collapse.

#5 - 06/15/2012 02:19 PM - Derik Barseghian
Removed at r29957.

Reopen this bug if you discover a change in component tree behavior in the sensor-view suite.

#6 - 03/27/2013 02:29 PM - Redmine Admin
Original Bugzilla ID was 5286
